Last Comment Bug 69745 - auto-width left float containing only nested right float is too wide
: auto-width left float containing only nested right float is too wide
Status: RESOLVED FIXED
[reflow-refactor][Hixie-P3][CSS1-5.5....
: css1, testcase
Product: Core
Classification: Components
Component: Layout: Floats (show other bugs)
: Trunk
: All All
: -- normal with 8 votes (vote)
: ---
Assigned To: layout.floats
: Hixie (not reading bugmail)
Mentors:
http://www.hixie.ch/tests/adhoc/css/b...
Depends on: reflow-refactor
Blocks: float 291126
  Show dependency treegraph
 
Reported: 2001-02-21 21:05 PST by Hixie (not reading bugmail)
Modified: 2014-04-25 15:18 PDT (History)
22 users (show)
aja+bugzilla: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
floated and absolutely positiond divs containing floats (2.44 KB, text/html)
2005-07-19 22:11 PDT, jandjplush
no flags Details

Description Hixie (not reading bugmail) 2001-02-21 21:05:58 PST
According to the CSS working group (per the August 2000 F2F [1]) nested floats 
do not affect the formatting context of the ancestors of the float, and do not
get the outer float to shrink wrap about them. We do this correctly when the
outer float also has text in it ([2][3]), but when a float is directly contained
within another float, we mess up and shrink wrap the inner float.

See: http://www.hixie.ch/tests/adhoc/css/box/float/001.html

-- References --
[1] It's a little brief, but:
    http://lists.w3.org/Archives/Member/w3c-css-wg/2000JulSep/0119.html
[2] http://www.hixie.ch/tests/adhoc/css/box/float/002.html
[3] http://www.hixie.ch/tests/adhoc/css/box/float/003.html
Comment 1 Hixie (not reading bugmail) 2001-02-21 21:13:20 PST
Nesting floats is not very common. Suggesting delaying until post-mozilla0.9.
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2001-02-22 03:28:49 PST
This is actually a decision I'd like to revisit in the working group - I'd like
to see the outer floats shrink-wrap.
Comment 3 Marc Attinasi 2001-02-22 09:00:34 PST
Accepting, and, due to low-impact, moving to future. Also, adding [FLOAT] to
summary...
Comment 4 Greg K. 2002-07-11 20:54:29 PDT
Reconfirmed using FizzillaCFM/2002070913. The testcase doesn't appear as
described. Setting All/All.
Comment 5 Boris Zbarsky [:bz] (Out June 25-July 6) 2003-04-21 20:11:36 PDT
CSS2.1 isn't really any more clear on this issue than previous CSS versions....
What's the current state of the spec on this?
Comment 6 Hixie (not reading bugmail) 2003-04-22 14:30:11 PDT
I think the status is dbaron and I mildly disagree. I want to say that floats
are not affected by floats within them (hence my filing this bug); dbaron wants
to say that a root formatting context grows to fit all floats, including floats
(IIRC).

The WG should discuss this in the coming months.
Comment 7 Boris Zbarsky [:bz] (Out June 25-July 6) 2003-04-22 14:39:55 PDT
OK.  Over to layout:floats; hixie, feel free to take this pending WG discussion....
Comment 8 Hixie (not reading bugmail) 2003-09-26 14:19:11 PDT
WG discussion has changed this bug slightly...
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-09-26 14:43:20 PDT
You're right about what we should do, but the spec doesn't require it.  10.3.5
is intentionally vague.
Comment 10 Hixie (not reading bugmail) 2003-09-27 07:25:38 PDT
Yes, technically "shrink-to-fit" is not defined, but I'm _reasonably_ sure that 
there's no way what we do can count as "shrink-to-fit"...
Comment 11 Hixie (not reading bugmail) 2005-03-18 17:16:40 PST
Also visible when there's a right float in an abs-pos block.
Comment 12 jandjplush 2005-07-19 22:11:04 PDT
Created attachment 189864 [details]
floated and absolutely positiond divs containing floats

My testcase shows that the bug is also present when a right-floated block
contains another right-floated block. So any block that is floated or absolutey
positioned and contains a right-floated block will be effected by this problem.


BTW, since fixing this bug would fix the second line of the Acid2 test,
shouldn't this be given more attention once Gecko 1.8 is branched?

(This is my first contribution to Bugzilla, so let me know if I did something
weid.)
Comment 13 Zibi Braniecki [:gandalf][:zibi] 2005-10-05 05:25:06 PDT
According to dbaron this is fixed on his REFLOW branch.
Comment 14 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-12-08 14:53:58 PST
Fixed on trunk by reflow branch landing.

Note You need to log in before you can comment on or make changes to this bug.